Title
#fleet
n

n0b00de

12/09/2021, 9:28 PM
hi team, I'm attempting to create
msi
and
pkg
orbit packages [https://github.com/fleetdm/orbit] but i'm getting the below errors. Has anyone tried this at all or have any insight into these errors?
Noah Talerman

Noah Talerman

12/09/2021, 9:41 PM
Hi @n0b00de, the fleetdm/orbit repo you’re linking to was recently archived. Fleet currently supports generating orbit packages with the
fleetctl
tool and the
fleetctl package
command. A link to installation instructions (NPM) for the
fleetctl
tool is here: https://fleetdm.com/get-started A link to the documentation for the
fleetctl package
command is here: https://fleetdm.com/docs/using-fleet/adding-hosts#osquery-installer
n

n0b00de

12/13/2021, 3:12 PM
@Noah Talerman using the fleetctl command it generates a fleet package. Instead of an ortbital package like before. Are you suggestiong its still an orbital package with a name change?
Noah Talerman

Noah Talerman

12/13/2021, 3:40 PM
Are you suggesting it’s still an orbital package with a name change?
@n0b00de correct. Orbit packages are now called Fleet’s osquery installers. The
fleet-osquery
package includes the exact same functionality as an orbit package
n

n0b00de

12/13/2021, 4:11 PM
Thank you